import org.rlcommunity.rlglue.codec.AgentInterface;
import org.rlcommunity.rlglue.codec.EnvironmentInterface;
import org.rlcommunity.rlglue.codec.LocalGlue;
import org.rlcommunity.rlglue.codec.RLGlue;


public class RunAllRecommenderNoSockets {
	public static void main(String[] args){
		//Create the Agent
		AgentInterface theAgent=new Recom_Agent();
		
		//Create the Environment
		EnvironmentInterface theEnvironment=new Recom_Environment();
		
		LocalGlue localGlueImplementation=new LocalGlue(theEnvironment,theAgent);
		RLGlue.setGlue(localGlueImplementation);
		
		
		//Run the main method of the Recommender Experiment, using the arguments were were passed
		//This will run the experiment in the main thread.  The Agent and Environment will run
		//locally, without sockets.
		Recom_Experiment.main(args);
		System.out.println("RunAllRecommenderNoSockets Complete");
		
	}
}
